require "ostruct"
require "active_model"

require "nfse_carioca/version"
require "nfse_carioca/configuration"
require "nfse_carioca/sanitizer"
require "nfse_carioca/client"
require "nfse_carioca/response"
require "nfse_carioca/gerar_nfse"
require "nfse_carioca/cancelar_nfse"

HTTPI.adapter = :net_http

module NfseCarioca
  def self.configure(&block)
    yield configuration
  end

  def self.configuration
    @configuration ||= NfseCarioca::Configuration.new
  end

  def self.reset!
    @configuration = nil
  end
end
