module NfseCarioca
  class Sanitizer
    attr_reader :value

    def initialize(value)
      @value = value
    end

    def clear
      temp = I18n.transliterate(value)
      temp.gsub!(/\-/, " ")
      temp.gsub!(/,|\./, "")
      temp.scan(/\w+|\s+/i).join
    end
  end
end
