module NfseCarioca
  class Response
    def initialize(payload)
      @payload = payload
    end

    def content
      @content ||= output["#{class_name}Resposta"]
    end

    def class_name
      self.class.to_s.split("::")[1]
    end

    def success?
      !error?
    end

    def error?
      !!content["ListaMensagemRetorno"]
    end

    def output
      @output ||= Nori.new.parse @payload.body.values.first[:output_xml]
    end
  end
end
